#!/usr/bin/env python
# coding: utf-8

# This script contains the function retrieveLVIS
# The function accepts a bounding box and returns LVIS granules from that location.

from maap.maap import MAAP
maap = MAAP(maap_host='api.ops.maap-project.org')

#import ipycmc
#w = ipycmc.MapCMC()
#w

# import printing package to help display outputs
from pprint import pprint

# import rasterio for reading and writing in raster format
import rasterio as rio
# copy valid pixels from input files to an output file.
from rasterio.merge import merge
# set up AWS session
from rasterio.session import AWSSession
# display images, label axes
from rasterio.plot import show
# import boto3 to work with Amazon Web Services
import boto3

from io import StringIO
import pandas as pd

import os


# only run this block if needed in a new workspace
#!pip install -U folium geopandas rasterio>=1.2.3 rio-cogeo

def retrieveCollection( granuleDomain, concept_id, dataDir ):
    #granuleDomain = "-147.51339,65.15264,-147.49457,65.15868"  # specify bounding box to search by


    # Earthdata search
    granule_results=maap.searchGranule(bounding_box=granuleDomain,concept_id=concept_id, limit=1000)
    pprint(f'Got {len(granule_results)} results')

   
    
    # set data directory
#    dataDir = './data'

    # check if directory exists -> if directory doesn't exist, directory is created
    if not os.path.exists(dataDir):
        os.mkdir(dataDir)

        
    paths = []
    i = 0
    for scene in granule_results:
    # download scene from search into data directory

        data = scene.getLocalPath(dataDir)
        paths.append(data)
        #data
        
    return paths







